GET /v1/Workspaces/{WorkspaceSid}/Workflows/{WorkflowSid}/CumulativeStatistics

twilio.com:twilio_taskrouter_v1

Summary:
Operation ID: FetchWorkflowCumulativeStatistics
Auth: unknown

Parameters (7)

EndDate (string, query, optional)

Only include usage that occurred on or before this date, specified in GMT as an [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) date-time.

Minutes (integer, query, optional)

Only calculate statistics since this many minutes in the past. The default 15 minutes. This is helpful for displaying statistics for the last 15 minutes, 240 minutes (4 hours), and 480 minutes (8 hours) to see trends.

SplitByWaitTime (string, query, optional)

A comma separated list of values that describes the thresholds, in seconds, to calculate statistics on. For each threshold specified, the number of Tasks canceled and reservations accepted above and below the specified thresholds in seconds are computed. For example, `5,30` would show splits of Tasks that were canceled or accepted before and after 5 seconds and before and after 30 seconds. This can be used to show short abandoned Tasks or Tasks that failed to meet an SLA. TaskRouter will calculate statistics on up to 10,000 Tasks for any given threshold.

StartDate (string, query, optional)

Only calculate statistics from this date and time and later, specified in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.

TaskChannel (string, query, optional)

Only calculate cumulative statistics on this TaskChannel. Can be the TaskChannel's SID or its `unique_name`, such as `voice`, `sms`, or `default`.

WorkflowSid (string, path, required)

Returns the list of Tasks that are being controlled by the Workflow with the specified Sid value.

Constraints: {'minLength': 34, 'maxLength': 34, 'pattern': '^WW[0-9a-fA-F]{32}$'}

WorkspaceSid (string, path, required)

The SID of the Workspace with the resource to fetch.

Constraints: {'minLength': 34, 'maxLength': 34, 'pattern': '^WS[0-9a-fA-F]{32}$'}

No probe data for this endpoint yet.